package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;

import java.util.Date;

/**
 * 对应数据库表(im_group_notice):
 */
public class ImGroupNotice {
	private Long id;

	private Long imGroupId;

	private Long operatorId;

	private String title;

	private String content;

	private String realName;

	private String avatar;

	private Integer isTop;

	private Date createTime;

	private Date updateTime;

	private Integer delFlag = 0;

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public String getAvatar() {
		return avatar;
	}

	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}

	public Long getOperatorId() {
		return operatorId;
	}

	public void setOperatorId(Long operatorId) {
		this.operatorId = operatorId;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getImGroupId() {
		return imGroupId;
	}

	public void setImGroupId(Long imGroupId) {
		this.imGroupId = imGroupId;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getIsTop() {
		return isTop;
	}

	public void setIsTop(Integer isTop) {
		this.isTop = isTop;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}
}
